<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{81D8C460-4627-489B-8D5E-A0640866290F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>RemoteControl</RootNamespace>
    <AssemblyName>RemoteControl</AssemblyName>
    <LangVersion>9.0</LangVersion>
    <TargetFrameworkVersion>v4.8.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <Nullable>enable</Nullable>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="0Harmony">
      <HintPath>C:\Program Files (x86)\Steam\steamapps\common\Stationeers\BepInEx\core\0Harmony.dll</HintPath>
    </Reference>
    <Reference Include="Assembly-CSharp">
      <HintPath>C:\Program Files (x86)\Steam\steamapps\common\Stationeers\rocketstation_Data\Managed\Assembly-CSharp.dll</HintPath>
    </Reference>
    <Reference Include="BepInEx">
      <HintPath>C:\Program Files (x86)\Steam\steamapps\common\Stationeers\BepInEx\core\BepInEx.dll</HintPath>
    </Reference>
    <Reference Include="System"/>
    <Reference Include="System.Core"/>
    <Reference Include="System.Xml.Linq"/>
    <Reference Include="System.Data.DataSetExtensions"/>
    <Reference Include="Microsoft.CSharp"/>
    <Reference Include="System.Data"/>
    <Reference Include="System.Net.Http"/>
    <Reference Include="System.Xml"/>
    <Reference Include="System.IO.Compression"/>
    <Reference Include="System.Text" />
    <Reference Include="System.Text.Json" />
    <Reference Include="UniTask">
      <HintPath>C:\Program Files (x86)\Steam\steamapps\common\Stationeers\rocketstation_Data\Managed\UniTask.dll</HintPath>
    </Reference>
    <Reference Include="UnityEngine">
      <HintPath>C:\Program Files (x86)\Steam\steamapps\common\Stationeers\rocketstation_Data\Managed\UnityEngine.dll</HintPath>
    </Reference>
    <Reference Include="UnityEngine.CoreModule">
      <HintPath>C:\Program Files (x86)\Steam\steamapps\common\Stationeers\rocketstation_Data\Managed\UnityEngine.CoreModule.dll</HintPath>
    </Reference>
    <Reference Include="netstandard" />

    <Reference Include="System.IO.Compression.ZipFile" />
    <Reference Include="System.Web"/>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Patches\Tick.cs"/>
    <Compile Include="Patches\WorldManagerStop.cs"/>
    <Compile Include="Properties\AssemblyInfo.cs"/>
    <Compile Include="Scripts\Remotecontrol.cs"/>
    <Compile Include="Scripts\LogTimer.cs" />
    <Compile Include="Scripts\SubscriptionModule.cs"/>
    <Compile Include="Utils\Extensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Actions\ActionModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Actions\RedirectModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Authentication\Auth.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Authentication\BasicAuthenticationModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Authentication\BasicAuthenticationModuleBase.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Authentication\BasicAuthenticationModuleExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\CompressionMethod.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\CompressionMethodNames.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Cors\CorsModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\EmbedIOInternalErrorException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\ExceptionHandler.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\ExceptionHandlerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\DirectoryLister.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileCache.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileCache.Section.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileModuleExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileRequestHandler.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileRequestHandlerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\FileSystemProvider.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\IDirectoryLister.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\IFileProvider.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\Internal\Base64Utility.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\Internal\EntityTag.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\Internal\FileCacheItem.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\Internal\HtmlDirectoryLister.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\Internal\MappedResourceInfoExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\MappedResourceInfo.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\ResourceFileProvider.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Files\ZipFileProvider.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions-Items.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions-Redirect.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions-Requests.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions-RequestStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions-Responses.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions-ResponseStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpContextExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpException-Shortcuts.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpExceptionHandler.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpExceptionHandlerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpHeaderNames.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpListenerMode.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpNotAcceptableException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpRangeNotSatisfiableException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpRedirectException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpRequestExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpResponseExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpStatusDescription.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\HttpVerbs.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\ICookieCollection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpContext.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpContextHandler.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpContextImpl.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpListener.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpMessage.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpRequest.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IHttpResponse.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IMimeTypeCustomizer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IMimeTypeProvider.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\BufferingResponseStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\CompressionStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\CompressionUtility.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\DummyWebModuleContainer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\LockableNameValueCollection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\MimeTypeCustomizer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\RequestHandlerPassThroughException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\TimeKeeper.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\UriUtility.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Internal\WebModuleCollection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IWebModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IWebModuleContainer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\IWebServer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\MimeType.Associations.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\MimeType.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\MimeTypeCustomizerExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\ModuleGroup.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\CookieList.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\EndPointManager.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\HttpListener.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\EndPointListener.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HeaderUtility.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpConnection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpConnection.InputState.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpConnection.LineState.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpListenerContext.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpListenerPrefixCollection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpListenerRequest.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpListenerResponse.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\HttpListenerResponseHelper.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\ListenerPrefix.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\ListenerUri.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\NetExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\RequestStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\ResponseStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\StringExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\SystemCookieCollection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\SystemHttpContext.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\SystemHttpListener.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\SystemHttpRequest.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\SystemHttpResponse.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Net\Internal\WebSocketHandshakeResponse.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\RequestDeserializer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\RequestDeserializerCallback`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\RequestHandler.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\RequestHandlerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\ResponseSerializer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\ResponseSerializerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\BaseRouteAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\Route.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteHandlerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteMatch.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteMatcher.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteResolutionResult.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteResolverBase`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteResolverCollectionBase`2.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteVerbResolver.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RouteVerbResolverCollection.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RoutingModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RoutingModuleBase.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RoutingModuleExtensions-AddHandlerFromBaseOrTerminalRoute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RoutingModuleExtensions-AddHandlerFromRouteMatcher.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RoutingModuleExtensions-AddHandlerFromTerminalRoute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\RoutingModuleExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Routing\SyncRouteHandlerCallback.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\BanInfo.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\IIPBanningCriterion.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\Internal\IPBanningExecutor.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\IPBanningConfiguration.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\IPBanningModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\IPBanningModuleExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\IPBanningRegexCriterion.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Security\IPBanningRequestsCriterion.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\Internal\DummySessionProxy.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\ISession.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\ISessionManager.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\ISessionProxy.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\LocalSessionManager.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\LocalSessionManager.SessionImpl.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\Session.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\SessionExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Sessions\SessionProxy.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\ComponentCollectionExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\ComponentCollection`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\DisposableComponentCollection`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\HttpDate.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\IComponentCollection`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\IPParser.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\MimeTypeProviderStack.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\NameValueCollectionExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\QValueList.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\QValueListExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\StringExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\UniqueIdGenerator.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\UrlEncodedDataParser.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\UrlPath.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\Validate-MimeType.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\Validate-Paths.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\Validate-Rfc2616.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\Validate-Route.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\Utilities\Validate.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\FormDataAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\FormFieldAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\IRequestDataAttribute`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\IRequestDataAttribute`2.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\JsonDataAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\QueryDataAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\QueryFieldAttribute.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\WebApiController.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\WebApiModule.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\WebApiModuleBase.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebApi\WebApiModuleExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleBase.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions-Actions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions-Cors.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions-Files.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions-Routing.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions-Security.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions-WebApi.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleContainerExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleExtensions-ExceptionHandlers.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebModuleExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServer-Constants.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerBase`1.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerExtensions-ExceptionHandliers.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerExtensions-SessionManager.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerOptions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerOptionsBase.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerOptionsBaseExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerOptionsExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerState.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerStateChangedEventArgs.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebServerStateChangedEventHandler.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\CloseStatusCode.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\Fin.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\FragmentBuffer.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\Mask.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\MessageEventArgs.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\PayloadData.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\Rsv.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\StreamExtensions.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\SystemWebSocket.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\SystemWebSocketReceiveResult.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\WebSocket.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\WebSocketContext.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\WebSocketFrame.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\WebSocketFrameStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\WebSocketReceiveResult.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Internal\WebSocketStream.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\IWebSocket.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\IWebSocketContext.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\IWebSocketReceiveResult.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\Opcode.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\WebSocketException.cs"/>
    <Compile Include="Vendor\EmbedIO-3.5.2\WebSockets\WebSocketModule.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Collections\CollectionCacheRepository.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\CompositeHashCode.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Configuration\ConfiguredObject.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Configuration\SettingsProvider.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Cryptography\Hasher.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\DateTimeSpan.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Definitions.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Definitions.Types.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Diagnostics\Benchmark.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Diagnostics\BenchmarkUnit.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Diagnostics\HighResolutionTimer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\EnumHelper.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Enums.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.ByteArrays.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Dates.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Dictionaries.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Enumerable.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Exceptions.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Functional.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.IEnumerable.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.IPropertyProxy.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Reflection.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Strings.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.Tasks.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Extensions.ValueTypes.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\CsvReader.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\CsvWriter.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\HumanizeJson.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\Json.Converter.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\Json.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\Json.Deserializer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\Json.Serializer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\Json.SerializerOptions.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\JsonPropertyAttribute.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Formatters\JsonSerializerCase.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\FromString.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\InternalErrorException.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\ConsoleLogger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\DebugLogger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\FileLogger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\ILogger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\Logger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\LogLevel.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\LogMessageReceivedEventArgs.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Logging\TextLogger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Mappers\CopyableAttribute.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Mappers\IObjectMap.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Mappers\ObjectMap.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Mappers\ObjectMapper.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Mappers\ObjectMapper.PropertyInfoComparer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Net\Internal\IPAddressValue.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Net\IPAddressRange.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Net\IPAddressRangeExtensions.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Net\IPAddressUtility.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\ObjectComparer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Paginator.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\ArgumentOptionAttribute.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\ArgumentParse.Validator.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\ArgumentParser.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\ArgumentParser.TypeResolver.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\ArgumentParserSettings.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\ExpressionParser.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\Operator.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\Token.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\Tokenizer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\TokenType.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Parsers\VerbOptionAttribute.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\AttributeCache.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\ConstructorTypeCache.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\ExtendedTypeInfo.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\IPropertyProxy.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\MethodInfoCache.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\PropertyInfoProxy.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\PropertyTypeCache.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Reflection\TypeCache.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\SelfCheck.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\SingletonBase.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\StringConversionException.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\StructEndiannessAttribute.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\SwanRuntime.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Terminal.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Terminal.Graphics.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Terminal.Interaction.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Terminal.Output.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Terminal.Settings.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\TerminalWriters.Enums.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicBoolean.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicDateTime.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicDouble.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicEnum.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicInteger.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicLong.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicTimeSpan.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\AtomicTypeBase.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\CancellationTokenOwner.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\ExclusiveTimer.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\ISyncLocker.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\IWaitEvent.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\IWorker.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\IWorkerDelayProvider.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\PeriodicTask.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\RunnerBase.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\SyncLockerFactory.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\WaitEventFactory.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Threading\WorkerState.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Validators\IValidator.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Validators\ObjectValidationResult.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Validators\ObjectValidator.cs"/>
    <Compile Include="Vendor\Swan.Lite-3.1.0\Validators\Validators.cs"/>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>